Page MenuHomePhabricator

Temp files not cleaned up on conversion error
Closed, ResolvedPublic

Description

This makes disk space blow up rapidly. Basically any file that fails to convert is leaving its original behind in a temp folder.

Turning off thumbor on both hosts until I can come up with a fix.

Event Timeline

Gilles created this task.Sep 21 2016, 7:43 AM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptSep 21 2016, 7:43 AM

Mentioned in SAL (#wikimedia-operations) [2016-09-24T12:21:36Z] <godog> apply temporary cleanup of old (+20m) thumbor temporary files - T146262

ori moved this task from Inbox to Doing on the Performance-Team board.Sep 26 2016, 2:18 PM
Gilles closed this task as Resolved.Oct 12 2016, 11:38 AM

I don't see them stay in /srv/thumbor/tmp. I've caught big ones being processed, but they were gone once processing finished:

gilles@thumbor1001:/srv/thumbor/tmp/thumbor@8831$ ls -al
total 48600
drwxr-xr-x  2 thumbor thumbor     4096 Oct 12 11:37 .
drwxr-xr-x 42 thumbor thumbor     4096 Oct 12 11:36 ..
srwxr-xr-x  1 thumbor thumbor        0 Oct 12 11:16 manhole-8831
-rw-------  1 thumbor thumbor 49748210 Oct 12 11:36 tmp0UwD9t
-rw-------  1 thumbor thumbor      560 Oct 12 11:35 tmphfLTD6
-rw-------  1 thumbor thumbor      524 Oct 12 11:34 tmpKRs9iY
gilles@thumbor1001:/srv/thumbor/tmp/thumbor@8831$ ls -al
total 20
drwxr-xr-x  2 thumbor thumbor 4096 Oct 12 11:38 .
drwxr-xr-x 42 thumbor thumbor 4096 Oct 12 11:36 ..
srwxr-xr-x  1 thumbor thumbor    0 Oct 12 11:16 manhole-8831
-rw-------  1 thumbor thumbor  560 Oct 12 11:35 tmphfLTD6
-rw-------  1 thumbor thumbor  524 Oct 12 11:34 tmpKRs9iY
-rw-------  1 thumbor thumbor  524 Oct 12 11:38 tmpzRAgtV
gilles@thumbor1001:/srv/thumbor/tmp/thumbor@8831$ date
Wed Oct 12 11:38:23 UTC 2016